Search contacts
curl --request POST \
--url https://incoming.qomon.app/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"advanced_search": {
"per_page": 500,
"page": 1,
"query": {
"$all": [
{
"$all": [
{
"$condition": {
"attr": "<string>",
"form_id": 123,
"form_ref_ids": [
123
],
"from": "<unknown>",
"to": "<unknown>",
"value": "<unknown>"
}
}
]
}
]
},
"sort_asc": true
},
"include_interactions": true
}
}
'import requests
url = "https://incoming.qomon.app/search"
payload = { "data": {
"advanced_search": {
"per_page": 500,
"page": 1,
"query": { "$all": [{ "$all": [{ "$condition": {
"attr": "<string>",
"form_id": 123,
"form_ref_ids": [123],
"from": "<unknown>",
"to": "<unknown>",
"value": "<unknown>"
} }] }] },
"sort_asc": True
},
"include_interactions": True
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
advanced_search: {
per_page: 500,
page: 1,
query: {
$all: [
{
$all: [
{
$condition: {
attr: '<string>',
form_id: 123,
form_ref_ids: [123],
from: '<unknown>',
to: '<unknown>',
value: '<unknown>'
}
}
]
}
]
},
sort_asc: true
},
include_interactions: true
}
})
};
fetch('https://incoming.qomon.app/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contacts": [
{
"id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"action_ids": [
1
],
"address": {
"addition": "<string>",
"building": "<string>",
"city": "<string>",
"country": "<string>",
"county": "<string>",
"door": "<string>",
"floor": "<string>",
"housenumber": "<string>",
"id": 1,
"infos": "<string>",
"latitude": "<string>",
"location": "<string>",
"longitude": "<string>",
"pollingstation": "<string>",
"postalcode": "<string>",
"score": 123,
"state": "<string>",
"street": "<string>"
},
"age_category": 1,
"birth_city": "<string>",
"birth_country": "<string>",
"birth_dept": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"black_list": true,
"custom_fields": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1
}
],
"firstname": "<string>",
"formdatas": [
{
"data": "<string>",
"form_id": 1,
"form_ref_id": 1,
"id": 1,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"group_id": 1,
"survey_id": 1
}
],
"group_id": 1,
"interactions": [
{
"address": "<string>",
"comments": "<string>",
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"date_end": "2023-11-07T05:31:56Z",
"date_of_event": "2023-11-07T05:31:56Z",
"files": [
{
"created_at": "2023-11-07T05:31:56Z",
"folder": "<string>",
"group_id": 1,
"id": 1,
"mime": "<string>",
"name": "<string>",
"owner_id": 123,
"type": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
],
"group_id": 1,
"id": 1,
"only_super_admin": true,
"tags": [
{
"DeletedAt": {
"Time": "2023-11-07T05:31:56Z",
"Valid": true
},
"color": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": 1,
"group_id": 1,
"id": 1,
"name": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
},
"user_id": 1
}
],
"lastchange": "2023-11-07T05:31:56Z",
"lastchangeuserid": 1,
"mail": "jsmith@example.com",
"married_name": "<string>",
"membership_code": "<string>",
"membership_number": 1,
"mobile": "<string>",
"mobile_invalid": true,
"nationality": "<string>",
"notes": [
{
"id": 1,
"contact_id": 1,
"created_at": "2023-11-07T05:31:56Z",
"data": "<string>",
"group_id": 1,
"only_super_admin": true,
"pinned": true,
"updated_at": "2023-11-07T05:31:56Z",
"user": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"address": "<string>",
"avatar": "<string>",
"birthdate": "2023-11-07T05:31:56Z",
"city": "<string>",
"contacts": [
{
"id": 1
}
],
"created": "2023-11-07T05:31:56Z",
"firstname": "<string>",
"group_id": [
123
],
"id": 123,
"locale": "<string>",
"location": "<string>",
"mail": "jsmith@example.com",
"phone": "<string>",
"postal": "<string>",
"role_data": {
"color": "<string>",
"id": 1,
"mobile": true,
"name": "<string>",
"order": 1,
"web": true
},
"status": "<string>",
"surname": "<string>",
"two_factor_enable": true
}
}
],
"phone": "<string>",
"phone_invalid": true,
"surname": "<string>",
"tags": [
{
"name": "<string>"
}
],
"user_contact_id": 123
}
]
},
"status": "<string>"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Search
Search contacts
Search contacts matching a query.
POST
/
search
Search contacts
Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Body
application/json
Show child attributes
Show child attributes
Last modified on July 7, 2026
Was this page helpful?
⌘I

